最新消息:

linode vps debian安装zend guard loader

web 林夕 3475浏览 0评论

想使用大前端的DUX主题,这款主题是用zend guard加密过的,必须启用zend guard loader才能使用这款主题。

网上的教程说得很简单,下载扩展文件ZendGuardLoader.so放到php的扩展文件夹,然后在php.ini中启用该扩展,然后重启apache或nginx即可。

按照网上教程做了之后,zend guard loader未加载成功。

文件路径和php.ini配置绝对没问题。百般尝试,最后重启vps后,phpinfo中才显示zend guard loader正常加载。

下面是具体步骤:

1. 下载 Zend Guard Loader 压缩包。(官方下载地址:http://www.zend.com/en/products/guard/downloads
我下载的是这个:http://downloads.zend.com/guard/6.0.0/ZendGuardLoader-70429-PHP-5.4-linux-glibc23-x86_64.tar.gz

2. 解压并提取 ZendGuardLoader.so(Linux)或 ZendLoader.dll(Windows),对应你的PHP版本。

3. 在你的 php.ini 文件添加下面一行,用来加载 Zend Guard Loader:

Linux 和 Mac OS X: zend_extension = 完整路径/ZendGuardLoader.so
Windows(非线程安全): zend_extension = 完整路径/ZendLoader.dll

4. 在 php.ini 额外新增一行,启用 Zend Guard Loader:

zend_loader.enable = 1

5. 可选:可以在 php.ini 文件添加以下行到 Zend Guard Loader 配置位置:

;禁用许可证检查(为了性能的原因)

zend_loader.disable_licensing = 0

;让 Zend Guard Loader 支持混淆级别。级别在 Zend Guard 的官方详细文档。 0 – 不启用混淆

zend_loader.obfuscation_level_support = 3

;从这个路径寻找Zend产品授权的产品许可证。欲了解更多有关如何创建一个许可证文件的信息,请参阅 Zend Guard 用户指南.

zend_loader.license_path =

6. 如果您使用 Zend debugger,请确保加载 Zend guard Loader。

7. 如果您使用 ioncube loader,请务必在它之前加载 Zend guard Loader。

8. 重新启动Web服务器。

总结一下,在php.ini中加的语句如下:
【Linux 和 Mac OS X环境下】

[zend.loader]
zend_loader.enable=1
zend_extension=/usr/lib/php5/20100525/ZendGuardLoader.so  (替换成自己的ZendGuardLoader.so路径,不要有双引号,网上教程中路径有双引号)
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3

【Windows环境下】

zend_extension="c:/php/ZendLoader.dll"  (替换成自己的ZendGuardLoader.so路径)
zend_loader.enable=1
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3

转载请注明:一秒钟的梦 » linode vps debian安装zend guard loader

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址